# == Class: postfix::config
#
# This is a private class.
#
class postfix::config (
  $master_services = $postfix::master_services,
) inherits postfix {

  file { $main_cf:
    ensure  => present,
    content => template('postfix/main.cf.erb'),
    owner   => 'root',
    group   => 'root',
    mode    => '0444',
  }

  concat { $master_cf:
    owner => 'root',
    group => 'root',
    mode  => '0444',
  }

  concat::fragment { 'master_cf_header':
    target  => $postfix::master_cf,
    content => template('postfix/master.cf.header.erb'),
    order   => 01,
  }

  create_resources(postfix::master_service, $master_services)

  concat::fragment { 'master_cf_footer':
    target  => $postfix::master_cf,
    content => "\n# EOF\n",
    order   => 99,
  }

  file { $ldap_dir:
    ensure => directory,
    owner  => 'root',
    group  => 'root',
    mode   => '0755',
  }

}
