# == Define: postfix::master_service
#
# This definition manages a service line in master.cf.
#
# === Parameters
#
# [*service*]
#   The service name as defined in master.cf.
#
# [*command*]
#   The actual command with its arguments.
#
# [*type*], [*private*], [*unpriv*], [*chroot*], [*wakeup*], [*maxproc*]
#   The other columns in master.cf. Only [*type*] is required, the others
#   default to '-'.
#
define postfix::master_service (
  $type,
  $command,
  $service = $name,
  $private = '-',
  $unpriv  = '-',
  $chroot  = '-',
  $wakeup  = '-',
  $maxproc = '-',
) {

  include postfix

  $line = join([$service, $type, $private, $unpriv,
                $chroot, $wakeup, $maxproc, $command], "\t")

  concat::fragment { "master_cf_${type}_${service}":
    target  => $postfix::master_cf,
    content => "${line}\n",
    order   => 50,
  }

}
